summaryrefslogtreecommitdiffstats
path: root/docker/scripts/dbld_csit_install_packages.sh
diff options
context:
space:
mode:
authorDave Wallace <dwallacelf@gmail.com>2021-02-11 16:44:59 -0500
committerDave Wallace <dwallacelf@gmail.com>2021-03-20 19:29:27 -0400
commit9c1c24fbbc9ed8ad13e3a590e4d2242bf1cffd5e (patch)
treec3b9920e39b9a7d36f5943e5a21382cdb1d5743e /docker/scripts/dbld_csit_install_packages.sh
parentf33265869f283ba931b6662c7605491706f07226 (diff)
Use Ubuntu-20.04 for vpp-csit-* job executor images
- refactor vpp-csit job names to conform to the vpp job nomenclature - add ubuntu-20.04 for CSIT image builder install requirements - fix executor class verification - add option to build_executor_docker_image.sh to dump Dockerfile without building image(s) - refactor Dockerfile generation to support executor classes - add support for csit_shim and csit_dut docker image generation from csit ansible repo - refactor docker installation - refactor locale support - remove old static csit Dockerfiles - remove unused jenkins labels - use csit-builder-{os}-prod-{executor_arch} label for vpp csit device test - run tox in csit_pip_cache() to include pylint requirements in python cache to avoid downloading from pypi during job execution. Change-Id: I5f4ffc587c6b8c43cb874dfd8c615ce56d3b97a4 Signed-off-by: Dave Wallace <dwallacelf@gmail.com>
Diffstat (limited to 'docker/scripts/dbld_csit_install_packages.sh')
-rwxr-xr-xdocker/scripts/dbld_csit_install_packages.sh33
1 files changed, 15 insertions, 18 deletions
diff --git a/docker/scripts/dbld_csit_install_packages.sh b/docker/scripts/dbld_csit_install_packages.sh
index d179b7862..d8ce597fb 100755
--- a/docker/scripts/dbld_csit_install_packages.sh
+++ b/docker/scripts/dbld_csit_install_packages.sh
@@ -1,6 +1,6 @@
#! /bin/bash
-# Copyright (c) 2020 Cisco and/or its affiliates.
+# Copyright (c) 2021 Cisco and/or its affiliates.
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at:
@@ -16,36 +16,33 @@
set -euxo pipefail
export CIMAN_DOCKER_SCRIPTS=${CIMAN_DOCKER_SCRIPTS:-"$(dirname $BASH_SOURCE)"}
-. $CIMAN_DOCKER_SCRIPTS/lib_csit.sh
-. $CIMAN_DOCKER_SCRIPTS/lib_vpp.sh
+. "$CIMAN_DOCKER_SCRIPTS/lib_csit.sh"
+. "$CIMAN_DOCKER_SCRIPTS/lib_vpp.sh"
-must_be_run_as_root
must_be_run_in_docker_build
-case "$OS_NAME" in
- ubuntu-18.04)
- supported_os="true" ;;
- *)
- supported_os="" ;;
-esac
-if [ -z "$supported_os" ] ; then
- echo "CSIT is not supported on $OS_NAME. Skipping CSIT package install..."
+echo_log
+
+if ! csit_supported_executor_class "$FDIOTOOLS_EXECUTOR_CLASS" ; then
+ echo_log "CSIT is not supported on executor class '$FDIOTOOLS_EXECUTOR_CLASS'. Skipping $(basename $0)..."
+ exit 0
+elif ! csit_supported_os "$OS_NAME" ; then
+ echo_log "CSIT is not supported on OS '$OS_NAME'. Skipping $(basename $0)..."
exit 0
+else
+ echo_log "Starting $(basename $0)"
fi
-echo_log
-echo_log "Starting $(basename $0)"
-
do_git_config csit
for vpp_branch in ${VPP_BRANCHES[$OS_NAME]} ; do
# Returns checked out branch in csit_branch
- csit_checkout_branch_for_vpp $vpp_branch
+ csit_checkout_branch_for_vpp "$vpp_branch"
# Install csit OS packages
- csit_install_packages $csit_branch
+ csit_install_packages "$csit_branch"
# Install/cache python packages
- csit_pip_cache $csit_branch
+ csit_pip_cache "$csit_branch"
done
echo_log -e "Completed $(basename $0)!\n\n=========="